import Ansi from './ansi.ts';

export enum HighlightType {
	None,
	Number,
	Match,
}

export function highlightToColor(type: HighlightType): string {
	switch (type) {
		case HighlightType.Number:
			return Ansi.color256(196);

		case HighlightType.Match:
			return Ansi.color256(21);

		default:
			return Ansi.ResetFormatting;
	}
}
